Skip to main content

Create Unit: Entrata

POSThttps://api.propexo.com/v1/units/entrata/
Method
propertyunits/sendPropertyUnits
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    lease_period_idstringrequired

    The Propexo unique identifier for the lease period

    bathroomsstring

    The number of bathrooms associated with the unit

    bedroomsstring

    The number of bedrooms associated with the unit

    citystringrequired

    The city associated with the unit

    countrystringrequired

    The country associated with the unit

    date_availablestring<date-time>required

    The date that the unit becomes available

    is_furnishedboolean

    Whether the unit is furnished

    numberstringrequired

    The unit number

    square_feetnumber

    The square footage of the unit

    statestringrequired

    The state associated with the unit

    street_address_1stringrequired

    The first address line associated with the unit

    street_address_2string

    The second address line associated with the unit

    zipstringrequired

    The zip code associated with the unit

    floor_plan_codestringrequired

    The external ID of the floor plan

    unit_type_idstringrequired

    The external ID of the unit type

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    lease_period_idstringrequired

    The Propexo unique identifier for the lease period

    bathroomsstring | nullnullablerequired

    The number of bathrooms associated with the unit

    bedroomsstring | nullnullablerequired

    The number of bedrooms associated with the unit

    citystringrequired

    The city associated with the unit

    countrystringrequired

    The country associated with the unit

    date_availablestring<date-time>required

    The date that the unit becomes available

    is_furnishedboolean | nullnullablerequired

    Whether the unit is furnished

    numberstringrequired

    The unit number

    square_feetnumber | nullnullablerequired

    The square footage of the unit

    statestringrequired

    The state associated with the unit

    street_address_1stringrequired

    The first address line associated with the unit

    street_address_2string | nullnullablerequired

    The second address line associated with the unit

    zipstringrequired

    The zip code associated with the unit

    floor_plan_codestringrequired

    The external ID of the floor plan

    unit_type_idstringrequired

    The external ID of the unit type

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/units/entrata/
curl -X POST https://api.propexo.com/v1/units/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"lease_period_id": "string",
"city": "string",
"country": "string",
"date_available": "2024-07-29T15:51:28.071Z",
"number": "string",
"state": "string",
"street_address_1": "string",
"zip": "string",
"floor_plan_code": "string",
"unit_type_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"lease_period_id": "string",
"bathrooms": "string",
"bedrooms": "string",
"city": "string",
"country": "string",
"date_available": "2024-07-29T15:51:28.071Z",
"is_furnished": true,
"number": "string",
"square_feet": 0,
"state": "string",
"street_address_1": "string",
"street_address_2": "string",
"zip": "string",
"floor_plan_code": "string",
"unit_type_id": "string"
}
}